/* ========================================
 *  ClipOnly2 - ClipOnly2.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __ClipOnly2_ClipOnly2_H
#define __ClipOnly2_ClipOnly2_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::ClipOnly2 {
enum {
  kNumParameters = 0
}; //


class ClipOnly2 final : public SfxCoreExtensionV1
{
public:
    ClipOnly2();
    ~ClipOnly2();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	double lastSampleL;
	double intermediateL[16];
	bool wasPosClipL;
	bool wasNegClipL;
	double lastSampleR;
	double intermediateR[16];
	bool wasPosClipR;
	bool wasNegClipR; //Stereo ClipOnly2
	
	//uint32_t fpdL;
	//uint32_t fpdR; //leave off
	//default stuff

};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
